Bulk disable Attack Discovery schedules

Base URL
https://{kibana_url}
  • POST /api/attack_discovery/schedules/_bulk_disable
Auth

Disables multiple Attack Discovery schedules by ID.

Request body

ids string[] · format: nonempty · min items: 1 required

The unique identifiers of the Attack Discovery schedules to update.

Responses

Successfully processed the bulk disable request.

application/json
errors object[] required
message string required

The error message returned for the failed schedule.

rule object required
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters.

name string required

The name of the failed schedule.

status number

Optional HTTP status associated with the failed schedule operation.

ids string[] · format: nonempty required

The unique identifiers of the schedules successfully affected by the bulk action.

total number required

The total number of schedules matched by the bulk action.

Bad Request response.

application/json
error string

Error type

message string

Human-readable error message describing what went wrong

status_code number

HTTP status code

Base URL
https://{kibana_url}